# eric6.Helpviewer.UserAgent.UserAgentsDialog

Module implementing a dialog to show all saved user agent settings.

### Global Attributes

None

### Classes

UserAgentsDialog | Class implementing a dialog to show all saved user agent settings.

### Functions

None

## UserAgentsDialog

Class implementing a dialog to show all saved user agent settings.

### Derived from

QDialog, Ui_UserAgentsDialog

### Class Attributes

None

### Class Methods

None

### Methods

UserAgentsDialog | Constructor

### Static Methods

None

#### UserAgentsDialog (Constructor)

UserAgentsDialog(parent=None)

Constructor

parent
  reference to the parent widget (QWidget)

Up